Bug 79885 - commit b52a530 (gallium/egl: st_profiles are build time decision, treat them as such) broke egl
Summary: commit b52a530 (gallium/egl: st_profiles are build time decision, treat them ...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: EGL (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-10 13:44 UTC by Marc Dietrich
Modified: 2014-06-12 17:08 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Dietrich 2014-06-10 13:44:09 UTC
since commit b52a530 I get

# es2_info 
es2_info: es2_info.c:158: make_x_window: Assertion `num_configs > 0' failed.
Aborted

The feature defines look fine, but still something goes wrong.
Comment 1 Marc Dietrich 2014-06-10 13:48:38 UTC
forgot to add this is on r600/amd64 linux
Comment 2 Emil Velikov 2014-06-10 14:33:22 UTC
This seems rather odd. I'm assuming that you've tried the parent commit and it works fine ? Are you building with scons by any change ?

Set the variable EGL_LOG_LEVEL=debug and attach the output of the program.
Comment 3 Niels Ole Salscheider 2014-06-10 14:40:02 UTC
I have just sent a patch ("egl/gallium: Set defines for supported APIs when using automake") to the list which should fix your problem, too.
Comment 4 Marc Dietrich 2014-06-10 14:55:29 UTC
Patch from Niels fixed it.

Thanks!
Comment 5 Emil Velikov 2014-06-10 15:22:39 UTC
Above I mentioned scons, yet completely missed out on our main build system - automake.
Niels patch is the correct solution but I would appreciate if he can remove the feature defines from the target as well.
Comment 6 Marc Dietrich 2014-06-11 12:22:02 UTC
commit c09856b5
Comment 7 Emil Velikov 2014-06-12 17:08:24 UTC
commit 607bc899701dda25f7c91ebd2ec2136d4dab0448
Author: Niels Ole Salscheider <niels_ole@salscheider-online.de>
Date:   Wed Jun 11 23:13:12 2014 +0200

    egl/gallium: Set defines for supported APIs when using automake

    This fixes automake builds which are broken since
    b52a530ce2aada1967bc8fefa83ab53e6a737dae.

    v2: This patch also adds the FEATURE_* defines back to targets/egl-static for
    Android and Scons that have been removed in the mentioned commit.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.